﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            Paragraph paragraph1 = new Paragraph();

            paragraph1.Inlines.Add(new Bold(new Run("Some bold text in the paragraph.")));
            paragraph1.Inlines.Add(new Run(" Some text that is not bold."));

            Paragraph paragraph2 = new Paragraph(new Run("ListItem 1"));
            Paragraph paragraph3 = new Paragraph(new Run("ListItem 2"));
            Paragraph paragraph4 = new Paragraph(new Run("ListItem 3"));

            List list = new List();

            list.ListItems.Add(new ListItem(paragraph2));
            list.ListItems.Add(new ListItem(paragraph3));
            list.ListItems.Add(new ListItem(paragraph4));

            FlowDocument flowDocument = new FlowDocument();

            flowDocument.Blocks.Add(paragraph1);
            flowDocument.Blocks.Add(list);

            FlowDocumentReader flowDocumentReader = new FlowDocumentReader();

            flowDocumentReader.Document = flowDocument;

            Content = flowDocumentReader;
        }

        #endregion
    }
}